Name:           execdb
Version:        0.0.9
Release:        1%{?dist}
Summary:        Execution status database for Taskotron

License:        GPLv2+
URL:            https://bitbucket.org/fedoraqa/execdb
Source0:        https://qadevel.cloud.fedoraproject.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-flask-login
Requires:       python-flask-restful
Requires:       python-six
Requires:       python-alembic
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
ExecDB is a database that stores the execution status of jobs running
inside the Taskotron framework. You can see which jobs were scheduled,
started and finished, and some of their properties.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

# apache and wsgi settings
install -d %{buildroot}%{_datadir}/execdb/conf
install -p -m 0644 conf/execdb.conf %{buildroot}%{_datadir}/execdb/conf/
install -p -m 0644 conf/execdb.wsgi %{buildroot}%{_datadir}/execdb/

# alembic config and data
cp -r --preserve=timestamps alembic %{buildroot}%{_datadir}/execdb/
install -p -m 0644 alembic.ini %{buildroot}%{_datadir}/execdb/

# exedb config
install -d %{buildroot}%{_sysconfdir}/execdb
install -p -m 0644 conf/settings.py.example %{buildroot}%{_sysconfdir}/execdb/settings.py

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/execdb
%{python2_sitelib}/*.egg-info

%attr(755,root,root) %{_bindir}/execdb
%dir %{_sysconfdir}/execdb
%{_sysconfdir}/execdb/*
%dir %{_datadir}/execdb
%{_datadir}/execdb/*

%changelog
* Fri Apr 28 2017 Tim Flink <tflink@fedoraproject.org> - 0.0.9-1
- Fix links in job overview

* Wed Mar 15 2017 Tim Flink <tflink@fedoraproject.org> - 0.0.8-1
- Change job.taskname from String(20) to Text (D1160)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 29 2016 Martin Krizek <mkrizek@redhat.com> - 0.0.7-5
- using python2-flask-sqlalchemy breaks depcheck on f23

* Wed Sep 21 2016 Martin Krizek <mkrizek@redhat.com> - 0.0.7-4
- use python2-* where possible
- fix rpmlint's description-line-too-long
- remove conf examples from doc

* Thu Aug 11 2016 Martin Krizek <mkrizek@redhat.com> - 0.0.7-3
- use python macros
- make description more verbose
- fix permissions

* Mon Jun 13 2016 Martin Krizek <mkrizek@redhat.com> - 0.0.7-2
- add license
- remove not needed custom macros

* Wed Jun 17 2015 Josef Skladanka <jskladan@fedoraproject.org> - 0.0.7-1
- added alembic config and data to package
- added requires python-alembic

* Mon Mar 30 2015 Tim Flink <tflink@fedoraproject.org> - 0.0.6-1
- bumped version for initial release

* Thu Feb 12 2015 Josef Skladanka <jskladan@redhat.com> - 0.0.1-1
- initial packaging
